/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var DEFAULT_PAGE = "pageMain",
    pageList = ["pageMain", "pageContact"],
    pageNow = DEFAULT_PAGE,
    pageHistory = [];

function pushHistory(page) {
    pageHistory.push(page);
}

function popHistory() {
    var retPage;

    if (pageHistory.length > 0) {
        retPage = pageHistory.pop();
    } else {
        console.warn("ERROR: Failed to popHistory - PageHistory is Empty");

        return null;
    }

    return retPage;
}

function showPage(page) {
    var i,
        destPage = document.querySelector("#" + page),
        objPage;

    if (destPage !== null) {
        for (i = 0; i < pageList.length; i++) {
            objPage = document.querySelector("#" + pageList[i]);
            objPage.style.display = "none";
        }

        destPage.style.display = "block";
        pageNow = page;
    } else {
        console.warn("ERROR: Page named " + page + " is not exist.");

        return false;
    }

    return true;
}

function backPage() {
    var beforePage = popHistory();

    if (beforePage !== null) {
        showPage(beforePage);
    } else {
        console.warn("ERROR: Failed to backPage - popHistory returned null");

        return false;
    }

    return true;
}

function changePage(dest) {
    var lastPage = pageNow;

    if (showPage(dest)) {
        pushHistory(lastPage);
    }
}